LineSegment (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.geometry.shape.LineSegment class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.geometry.shape
Class LineSegment

    java.lang.Object
      org.apache.lucene.spatial.geometry.shape.LineSegment

Deprecated.

    @Deprecated
    public class LineSegment

extends Object

2d line segment.

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Field Summary
`Point2D` | `A` Deprecated.
`Point2D` | `B` Deprecated.

Constructor Summary
`LineSegment()` Deprecated.
`LineSegment(Point2D p1, Point2D p2)` Deprecated.

Method Summary
`double` | `distance(Point2D P, Point2D closestPt)` Deprecated. Finds the distance of a specified point from the line segment and the closest point on the segment to the specified point.
`boolean` | `equals(Object obj)` Deprecated.
`int` | `hashCode()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### A

    public final Point2D A

  Deprecated.

### B

    public final Point2D B

  Deprecated.

Constructor Detail

### LineSegment

    public LineSegment()

  Deprecated.

### LineSegment

    public LineSegment(Point2D p1,
                       Point2D p2)

  Deprecated.

Method Detail

### distance

    public double distance(Point2D P,
                           Point2D closestPt)

  Deprecated.
  Finds the distance of a specified point from the line segment and the closest point on the segment to the specified point.

  Parameters:
    `P` - Test point.
    `closestPt` - (Return) Closest point on the segment to c.
  Returns:
    Returns the distance from P to the closest point on the segment.

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD